aeson-2.1.2.1: Fast JSON parsing and encoding

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Aeson.QQ.Simple

Description

Like `Data.Aeson.QQ` but without interpolation.

Synopsis

- aesonQQ :: QuasiQuoter

# Documentation

aesonQQ :: QuasiQuoter Source #

Converts a string representation of a JSON value into `Value` at compile-time.

    {-# LANGUAGE QuasiQuotes #-}

    import Data.Aeson (Value)
    import Data.Aeson.QQ.Simple

    joe :: Value
    joe = [aesonQQ|{ "name": "Joe", "age": 12 }|]